Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh2
Class SSH2TransportPDUPool

    java.lang.Object
      com.mindbright.ssh2.SSH2DataBuffer
          com.mindbright.ssh2.SSH2TransportPDU
              com.mindbright.ssh2.SSH2TransportPDUPool

public class SSH2TransportPDUPool
extends SSH2TransportPDU

Implements a pool of PDUs which can be reused. This class holds a pool of PDUs and tries to reuse them whenever possible.

Nested Class Summary
`protected class` | `SSH2TransportPDUPool.PoolPDU`

Field Summary

Fields inherited from class com.mindbright.ssh2.SSH2TransportPDU
`factoryInstance, PACKET_DEFAULT_SIZE, PACKET_MAX_SIZE, PACKET_MIN_SIZE, padSize, pktDefaultSize, pktSize, pktType`

Fields inherited from class com.mindbright.ssh2.SSH2DataBuffer
`BOOLEAN_FALSE, BOOLEAN_TRUE, data, rPos, wPos`

Constructor Summary
`protected` | `SSH2TransportPDUPool()`

Method Summary
`protected SSH2TransportPDU` | `createPDU(int bufSize)` Create a new PDU to use for incoming packets.
`protected SSH2TransportPDU` | `createPDU(int pktType, int bufSize)` Create a new PDU for an outgoing packet.
`protected void` | `releasePDU(SSH2TransportPDUPool.PoolPDU pdu)` Internal class which releases an incoming PDU.

Methods inherited from class com.mindbright.ssh2.SSH2TransportPDU
`checkMac, createIncomingPacket, createIncomingPacket, createOutgoingPacket, createOutgoingPacket, createTranceiverContext, createTranceiverContextImpl, getPayloadLength, getPayloadOffset, getType, makeCopy, readFrom, readNextNFrom, release, setFactoryInstance, setType, toString, writeByte, writeRaw, writeString, writeTo`

Methods inherited from class com.mindbright.ssh2.SSH2DataBuffer
`getData, getMaxReadSize, getMaxSize, getMaxWriteSize, getRPos, getWPos, readBigInt, readBigIntBits, readBoolean, readByte, readInt, readJavaString, readLong, readRaw, readRaw, readRestRaw, readString, readString, reset, setData, setRPos, setWPos, writeBigInt, writeBigIntBits, writeBoolean, writeInt, writeLong, writeRaw, writeString, writeString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSH2TransportPDUPool

    protected SSH2TransportPDUPool()

Method Detail

### createPDU

    protected SSH2TransportPDU createPDU(int bufSize)

  Description copied from class: `SSH2TransportPDU`
  Create a new PDU to use for incoming packets.

  Overrides:
    `createPDU` in class `SSH2TransportPDU`
  Parameters:
    `bufSize` - How many bytes it should have room for.

### createPDU

    protected SSH2TransportPDU createPDU(int pktType,
                                         int bufSize)

  Description copied from class: `SSH2TransportPDU`
  Create a new PDU for an outgoing packet.

  Overrides:
    `createPDU` in class `SSH2TransportPDU`
  Parameters:
    `pktType` - Type of packet to create.
    `bufSize` - How many bytes it should have room for.

### releasePDU

    protected void releasePDU(SSH2TransportPDUPool.PoolPDU pdu)

  Internal class which releases an incoming PDU.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD